<?php

$session = $this->getSession();
$session = $this->getSession();
$registry = $this->getRegistry();

// appel fichier internalisation
$i18n = $this->getRegistry()->get('i18n');
$filter_html = new Yab_Filter_Html();
$filter_no_html = new Yab_Filter_NoHtml();

//$fai_index->noLimit();

$sitefouille_id = $session->get('sitefouille_id') ; // jfb 2016-06-06 mantis 262

?>

<script type='text/javascript'>

    var show_detail = false;

    $(document).ready(function () {
        var oTableFai;
        setClickableRow();
        oTableFai = $(".table_module").dataTable({
            "bPaginate": true,
            "bProcessing": false,
            "bInfo": false,
            "oLanguage": {
                "sZeroRecords": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_error')) ; ?>",
                "sSearch": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_label')) ; ?> :"
            },
            "sPaginationType": "full_numbers",
        });
        oSettings = oTableFai.fnSettings();
    });
    function setClickableRow() {
        $("table .table-clickable-row").each(function () {
            var redirect = $(this).attr('href')
            $(".table-row-data", $(this)).click(function () {
                window.location.href = redirect;
            })
        })
    }
    
    function confirmer(url) { // jfb 2016-04-13
    	if (confirm('Veuillez Cliquer sur "OK" pour confirmer la suppression.')) {
    		document.location.href = url ;
    	}
    }

    function siteFouilleExistant(sitefouille,url) {  // jfb 2016-06-06 mantis 262
    	if (sitefouille) {
    		document.location.href = url ;
    	}
    	else {
    		alert("Veuillez créer un site de fouille !") ;
    	}
    }
    
</script>


<div class="table-responsive">
    <div id="optiontools"></div>

    <div id="table_fai_index_wrapper">
        <table id="table_fai_index"
               class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
            <caption><?php echo $filter_no_html->filter( $i18n -> say('fai_title_index')) ; ?></caption>
            <thead>
				<tr class="headings">
					<th><?php echo $filter_no_html->filter( $i18n->say('identification')) ; ?></th>
					<th><?php echo $filter_no_html->filter( $i18n->say('description')) ; ?></th>
					<th><?php echo $filter_no_html->filter( $i18n->say('typefai_id')) ; ?></th>              
					
					<th colspan="2" align="center">
					    <!-- jfb 2016-06-06 mantis 262 début
						<a href="<?php echo $this->getRequest('Fai', 'add'); ?>">
							<span class="glyphicon glyphicon-plus-sign" style="font-size: 32px;" alt="Ajouter"
								  title="Ajouter"></span>
						</a>
						//   jfb 2016-06-06 mantis 262 fin -->
						<!-- jfb 2016-06-06 mantis 262 début -->
					    <span class="glyphicon glyphicon-plus-sign" style="font-size: 32px;"
					      onclick="siteFouilleExistant('<?php echo $sitefouille_id; ?>','<?php echo $this->getRequest('Fai', 'add'); ?>');"
					      alt="Ajouter" title="Ajouter"></span>  
				  		<!-- jfb 2016-06-06 mantis 262 fin -->
					</th>
				</tr>
            </thead>
            <tbody>
				<?php foreach($fais_index as $fai){ 
					$fai_id = $fai->get('fai_id');
				?>
					
					<tr href="<?php echo $this->getRequest('Fai', 'show', array($fai_id)); ?>" title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>" class="table-clickable-row">
						<td class="table-row-data"><?php echo $fai->get('fai_identification', $filter_html); ?></td>
						<td class="table-row-data"><?php echo $fai->get('description', $filter_html); ?></td>
						<td class="table-row-data"><?php echo $fai->get('categorie_value', $filter_html); ?></td>
						
						<td class="table-row-option"><a
								href="<?php echo $this->getRequest('Fai', 'edit', array($fai_id)); ?>"><span
								class="glyphicon glyphicon-edit" style="font-size: 18px;" alt="Editer"
								title="Editer"></span></a></td>
						<td class="table-row-option">
							<span class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;"
							onclick="confirmer('<?php echo $this->getRequest('Fai', 'delete', array($fai_id)); ?>');"
							alt="Supprimer" title="Supprimer"></span>
						</td>
					</tr>
				<?php } ?>
            </tbody>
        </table>
    </div>
</div>
<div style="float:left;padding-bottom:10px;padding-top:10px">
	<span> 
		<a href="<?php echo $this->getRequest('Index', 'index'); ?>" class="btn btn-default">Retour &agrave; index</a>
	</span>
</div>
